<input
	type="text"
	class="w-full bg-almost-gray p-3 mb-5 mdCustom:mb-0"
	[ngClass]="{ 'is-invalid': isInvalid }"
	[(ngModel)]="displayValue"
	(blur)="onTouch()"
	(focus)="onFocus()"
	(change)="handleDisplayValueChanges()"
	(click)="toggle()"
	cdkOverlayOrigin
	#trigger="cdkOverlayOrigin"
/>
<ng-template cdkConnectedOverlay [cdkConnectedOverlayOrigin]="trigger" [cdkConnectedOverlayOpen]="isOpen">
	<div class="month-picker-container">
		<div class="month-content">
			<div class="month-picker-header">
				<button (click)="decrementYear()" type="button" class="previous">
					<span>‹</span>
				</button>
				<button (click)="selectYearOnly()" class="current">
					<span>{{ selectedYear }}</span>
				</button>
				<button (click)="incrementYear()" type="button" class="next">
					<span>›</span>
				</button>
			</div>
			<div class="month-picker-body">
				<table class="month">
					<tbody>
						<tr *ngFor="let splittedMOnths of months; let i = index">
							<td *ngFor="let month of splittedMOnths; let i = index" (click)="selectMonth(month.value)">
								<span [ngClass]="{ active: month.value === selectedMonth }">{{ month.name }}</span>
							</td>
						</tr>
					</tbody>
				</table>
			</div>
			<div *ngIf="isToPresentEnabled" class="px-3 pb-2 w-full">
				<label for="to-present-checkbox" class="flex flex-row justify-start items-center text-sm">
					<input
						id="to-present-checkbox"
						type="checkbox"
						[(ngModel)]="isToPresent"
						(change)="setToPresent()"
					/>
					{{ toPresentValueLabel }}
				</label>
			</div>
		</div>
	</div>
</ng-template>
